Loading...
Searching...
No Matches
BALL::ScoringFunction::Option Struct Reference

`#include <BALL/SCORING/COMMON/scoringFunction.h>`

## Static Public Attributes

static const char * | VERBOSITY
static const char * | BASE_FUNCTION_TYPE
static const char * | HASHGRID_RESOLUTION
static const char * | HASHGRID_SIZE
static const char * | NONBONDED_CUTOFF
static const char * | CONFORMATION_SCALE
static const char * | ALL_LIG_NONB_PAIRS
static const char * | USE_STATIC_LIG_FRAGMENTS
static const char * | IGNORE_H_CLASHES
static const char * | ALLOWED_INTERMOL_OVERLAP
static const char * | ALLOWED_INTRAMOL_OVERLAP
static const char * | BURIAL_DEPTH_SCALE

## Detailed Description

Definition at line 38 of file scoringFunction.h.

## Member Data Documentation

## ALL_LIG_NONB_PAIRS

const char* BALL::ScoringFunction::Option::ALL_LIG_NONB_PAIRS

static

Definition at line 66 of file scoringFunction.h.

## ALLOWED_INTERMOL_OVERLAP

const char* BALL::ScoringFunction::Option::ALLOWED_INTERMOL_OVERLAP

static

Definition at line 78 of file scoringFunction.h.

## ALLOWED_INTRAMOL_OVERLAP

const char* BALL::ScoringFunction::Option::ALLOWED_INTRAMOL_OVERLAP

static

Definition at line 82 of file scoringFunction.h.

## BASE_FUNCTION_TYPE

const char* BALL::ScoringFunction::Option::BASE_FUNCTION_TYPE

static

Definition at line 46 of file scoringFunction.h.

## BURIAL_DEPTH_SCALE

const char* BALL::ScoringFunction::Option::BURIAL_DEPTH_SCALE

static

Definition at line 86 of file scoringFunction.h.

## CONFORMATION_SCALE

const char* BALL::ScoringFunction::Option::CONFORMATION_SCALE

static

Definition at line 62 of file scoringFunction.h.

## HASHGRID_RESOLUTION

const char* BALL::ScoringFunction::Option::HASHGRID_RESOLUTION

static

Definition at line 50 of file scoringFunction.h.

## HASHGRID_SIZE

const char* BALL::ScoringFunction::Option::HASHGRID_SIZE

static

Definition at line 54 of file scoringFunction.h.

## IGNORE_H_CLASHES

const char* BALL::ScoringFunction::Option::IGNORE_H_CLASHES

static

Definition at line 74 of file scoringFunction.h.

## NONBONDED_CUTOFF

const char* BALL::ScoringFunction::Option::NONBONDED_CUTOFF

static

Definition at line 58 of file scoringFunction.h.

## USE_STATIC_LIG_FRAGMENTS

const char* BALL::ScoringFunction::Option::USE_STATIC_LIG_FRAGMENTS

static

Definition at line 70 of file scoringFunction.h.

## VERBOSITY

const char* BALL::ScoringFunction::Option::VERBOSITY

static

Definition at line 42 of file scoringFunction.h.